# Deadly Boss Mods Core

## [9.1.2](https://github.com/DeadlyBossMods/DeadlyBossMods/tree/9.1.2) (2021-07-13)
[Full Changelog](https://github.com/DeadlyBossMods/DeadlyBossMods/compare/9.1.1...9.1.2) [Previous Releases](https://github.com/DeadlyBossMods/DeadlyBossMods/releases)

- Just prep a tag with it as is for now, but there will be a LOT of alphas every day next week.  
- timer tweaks to fatescribe, as well as combat disclaimer that timers/sequence may still be a little buggy do to issues on blizzards end  
- Core: Mute VP if SW is set to None (#613)  
    This adds more flexibility to VoicePacks and Special Warning sounds, since there wasn't a way to mute a specific sound without editing the boss mod code.
  
    This way, the user has a way to mute an ability if SW sound is None.  
- Misc  
     - Added additional mana data to KT, 60 and 80 still missing.  
     - Made spiked ball warning faster on raznal  
     - Fixed a bug where remnant timer started on normal and LFR difficulty on Tarragrue  
    Sylvnas Update:  
     - Changed P3 trigger to a later one that's more likely to be robust/accurate  
     - Added announces for bridges in Stage 2  
     - Added timers for most sylvanas abilities during stage 2  
     - Banshees wail warning will now have cast count in it  
     - Ruin interrupt warning will now have count in it  
     - Tweaked some initial darkness timers so they are more in line with emote  
     - Wailing arrow timers will now aggregate sets to reduce chance of inaccuracy when some sets are missing casts  
     - Wailing arrow icon marking and chat bubbles should now work correctly instead of assigning everyone from same set the same icon  
- remove that idea experiment for now  
- Guardian timer tweaks  
- Fix case where addon category isn't stored uppercased. (#611)  
- Fix icons on Guardian when 1 melee is targeted (#610)  
- Blizzard hotfixed sylvanas agian, this time rolling back to previous timers. Those timers have been restored and extended with latest logs  
- Fixed call of eternity not showing on normal difficulty  
- Updated the normal mode sylvana stage 3 timers to the new post july 9th hotfix versions. Thiis makes sylvanas mod accurate on both heroic and normal once more (til next round of fight changes anyways)  
- Fix some stray crap  
- Tiny sylvanas tweak  
- Added support for Morgeth  
- rename zhTW to localization.tw (#609)  
    Sorry, I made a mistake.  
- Creat zhTW.lua (#608)  
- Redid the heroic sylvanas timers for P3, post July 9th hotfixes. Although something tells me, I will be redoing these timers again since I don't think some of these changes were intentional, just side effects of fight enrage/length tweaks that resulted in two mechanics virtually vanishing from the phase.  
- Hide infoframe in stage 2 sylvanas since it doesn't do anything there ATM, but then reshow it in stage 3 to track bane stacks  
    Improved bane warning to announce all stacks not just initial application  
- Fixed minor bug with source name missing in ruin interrupt warning  
- Updated spiked balls to use CLEU event on raznal and updated first timer now that locks are easier to read. 👍  
    Updated heroic P3 timers for sylvanas to include further data  
- extend P3 data on heroic sylvanas just a bit longer from latest public logs, before heading to bed  
- Fulfil 2x request to use icons for traps, including yells/etc on raznal. while at it, fixed a bug where target warning never actually fired and showed who traps were on (other than personal warning)  
- fix typo  
- First KT update  
    Update initial KT timers, and updated timers for KT at a 100/0 mana phase change.  
    Disabled timers for other mana phase changes since they won't be applicable anymore. Those need verified logs phasing at those values  
    Fixed frost blast detection in phase 3 and updated P3 initial timers  
- Begin populating P1 and P3 heroic timer data from public sylvanas wipes  
- Update BW version check, which I might have neglected for a while, oops  
- Good catch luacheck!  
- Populated timer tables for normal sylvanas, heroic still needs work, but no public logs yet.  
    Also added timers for the heartseekers  
- copy/paste is hard  
- Small tweaks to guardian, ultimately though the timers on this fight are going to suck really bad. the only way to map them out correctly is to do the impossible, get a long pull where boss has infinite energy and doesn't have timers screwed with by phasing. Since that won't happen, there is insufficient data to determine how to properly handle phasing interaction on timers.. Can't solve for C if A or B are missing.  
- Fixed suffering warning not working and timer not working after first.  
    Unfortunately blizzard left the fight as it was on PTR which means almost none of timers are useful anyways. It is what it is.  
- Fixed annoying announce on frost blast root debuff on KT, it should only announce initial target.  
    Raznal Update:  
     - Updated all timers for live data  
     - Added missing switch warning for spiked balls  
     - Upgraded all timers to count timers  
- stray end in copy/paste  
- Rohkalo Update:  
     - Finished timer sequencing and enabled more accurate timers on normal and heroic difficulties  
     - Fixed phase change detection with new spellId  
- Fix transition scaling working in reverse (#606)  
    * Fix transition scaling working in reverse
  
    When going from a higher scale (large) to a lower scale (small), the logic was actually working inverse and growing in side.  
- Soulrender updates  
- Updated timers for the nine with live data  
-  - Updated timers for Terragrue on live  
     - Updated timers for Eye of the jailer on live  
     - Fixed a bug on guardian where icons were never removed  
     - Fixed a bug on raznal where icons were never removed  
     - Fixed a bug on eye of jailer where spreading misery got double announced instead of aggregated. timers don't aggregate though because they can desync  
     - Sylvanas Changes:  
    *Improved wailing arrow and black arrow announces and added icons for the arrow mechanics  
    *Added short names to a few ability timers/alerts  
    *Disabled knives icons by default, it's a bad default and should only be used if not using arrows icons  
- A bit of mythic prep for sylvanas  
- Fire stage callback on variable recovery  
- antispam wasn't multiple events firing it was combat start and emerge. when boss is engaged emerged can also follow (but not always sometimes it's before the IEEU)  
- Add antispam to submerge as these events fire multiple times (#605)  
- Opportunity Strikes seems to be back based on latest journal updates  
- prep next cycle  
